<div id="reset-password" fxLayout="column">
    <div id="reset-password-form-wrapper" fxLayout="column" fxLayoutAlign="center center">
        <div id="reset-password-form" [@animate]="{value:'*',params:{duration:'300ms',y:'100px'}}">
            <div class="logo">
                <img src="assets/images/logos/fuse.svg">
            </div>

            <div class="title">{{pageMessage}}</div>

            <form name="resetPasswordForm" [formGroup]="resetPasswordForm" novalidate *ngIf="pageType ==='valid'">
                <mat-form-field appearance="outline">
                    <mat-label>Enter your password</mat-label>
                    <input matInput formControlName="password" [type]="hide ? 'text' : 'password'" autocomplete="off"
                        required>
                    <mat-icon matSuffix (click)="hide = !hide">{{hide ? 'visibility' : 'visibility_off'}}</mat-icon>
                    <mat-error>
                        An uppercase, lowercase, number and special character required
                    </mat-error>
                </mat-form-field>

                <mat-form-field appearance="outline">
                    <mat-label>Re-enter your password</mat-label>
                    <input matInput formControlName="confirmPassword" [type]="hidee ? 'text' : 'password'"
                        autocomplete="off" required>
                    <!-- <mat-icon matSuffix (click)="hidee = !hidee">{{hidee ? 'visibility' : 'visibility_off'}}</mat-icon> -->
                    <mat-error *ngIf="resetPasswordForm.get('confirmPassword').hasError('required')">
                        Password confirmation is required
                    </mat-error>
                    <mat-error *ngIf="!resetPasswordForm.get('confirmPassword').hasError('required') &&
                                       resetPasswordForm.get('confirmPassword').hasError('passwordsNotMatching')">
                        Passwords must match
                    </mat-error>
                </mat-form-field>

                <button mat-raised-button class="submit-button" color="accent" aria-label="RESET MY PASSWORD"
                    [disabled]="resetPasswordForm.invalid" (click)="resetPassword()">
                    Reset My Password
                </button>
            </form>
        </div>
    </div>
</div>